Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.quality
[Groovy] Class CodeNarcPlugin

    java.lang.Object
      org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin
          org.gradle.api.plugins.quality.CodeNarcPlugin

    class CodeNarcPlugin
    extends AbstractCodeQualityPlugin

Method Summary
`protected void` | `configureForSourceSet(SourceSet sourceSet, CodeNarc task)`
`protected void` | `configureTaskDefaults(CodeNarc task, String baseName)`
`protected CodeQualityExtension` | `createExtension()`
`protected Class` | `getBasePlugin()`
`protected Class` | `getTaskType()`
`protected String` | `getToolName()`

Method Detail

### configureForSourceSet

    @Override
    protected void configureForSourceSet(SourceSet sourceSet, CodeNarc task)

### configureTaskDefaults

    @Override
    protected void configureTaskDefaults(CodeNarc task, String baseName)

### createExtension

    @Override
    protected CodeQualityExtension createExtension()

### getBasePlugin

    @Override
    protected Class getBasePlugin()

### getTaskType

    @Override
    protected Class getTaskType()

### getToolName

    @Override
    protected String getToolName()

Gradle API 1.10